package cn.com.victorysoft.business.condition.dao;

import cn.com.victorysoft.business.condition.entity.ConditionWell;
import cn.com.victorysoft.business.condition.param.ConditionWellParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ConditionWellDao {
    List<ConditionWell> selectList(ConditionWellParam param);

    int deleteByPrimaryKey(ConditionWell key);

    int insert(ConditionWell record);

    ConditionWell selectByPrimaryKey(ConditionWell key);

    int updateByPrimaryKeySelective(ConditionWell record);

    int updateByPrimaryKey(ConditionWell record);
}